WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Primal for WordPress

Allows publishers to display related news and info from the Web, relevant to each post. Filter related Web content by the topics you write about!

What is Primal?

Primal provides interest graph technology that supports truly individualized mobile and Web experiences. The interest graph gets used to filter your trusted sources of content based on the specific topics you care about. Primal looks out for your interests across the Web and social media, and delivers you the information you need, wherever and whenever you need it.

How does it work?

Primal's Data API synthesizes interest graphs, allowing the Primal for WordPress plugin to interact with unstructured and semi-structured content on the Internet. It's as if the Web were already semantic! Learn more about our technology.

Why do I have to give an initial "Main Context"?

This helps Primal construct the best possible interest graph for an individual post. Some plugins give you the ability to recommend content based on categories and some by tags. Primal is different -- an interest graph is used to understand exactly what your latest post means, and it does this the context of why you started the blog in the first place. The result? The content Primal collects is highly specific.

Can I add my own content sources?

Primal for WordPress is an open source plugin and Primal works with all content types from around the Web. If you'd like to modify your plugin to include a specific content type, contact support@primal.com to request help or suggest features you'd like to see in the next version.

Will Primal for WordPress work with blog content that was posted prior to the installation of the plugin?

Yes! Primal for WordPress analyzes the tags associated with your blog posts on-the-fly (in the context of your configured Main Context value). The widget works with any content in your blog, whether it was added before or after installation of the Primal plugin.

Requires: 3.5.1 or higher
Compatible up to: 3.6.1
Last Updated: 2013-9-23
Downloads: 978

Ratings

5 stars
5 out of 5 stars

Support

0 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1